al_get_opengl_version(3)

NAME

al_get_opengl_version - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    uint32_t al_get_opengl_version(void)

DESCRIPTION

Returns the OpenGL or OpenGL ES version number of the client (the computer the program is running on), for the current display. "1.0" is returned as 0x01000000, "1.2.1" is returned as 0x01020100, and "1.2.2" as 0x01020200, etc.

A valid OpenGL context must exist for this function to work, which means you may not call it before al_create_display(3).

SEE ALSO

al_get_opengl_variant(3)